#Whether immersives on anvils should be allowed
anvil_immersion = true
#Whether immersives on brewing stands should be allowed
brewing_immersion = true
#Whether immersives on all types of chests should be allowed. Unless users enable right_click_chest, this is VR only.
chest_immersion = true
#Whether immersives on crafting tables should be allowed
crafting_immersion = true
#Whether immersives on furnaces should be allowed
furnace_immersion = true
#Whether immersives on jukeboxes should be allowed (VR only)
jukebox_immersion = true
#Allow VR users to grab items at a distance.
ranged_grab = true
#Whether VR users can physically push buttons
button_immersion = true
#Whether immersives on Enchanting Tables should be allowed
enchant_table_immersion = true
#Whether VR users can hold items above a campfire to cook them
campfire_immersion = true
#Whether VR users can physically toggle levers
lever_immersion = true
#Allow VR players to use a bag to manage their inventory
bag_inventory = true
#Whether VR users can adjust the delay of repeaters using their hands
repeater_immersion = true
#Whether VR users can open/close doors and fence gates using their hands
door_immersion = true
#Whether VR users can pet animals they've tamed (or animals that are tamed for all once tamed, like horses)
can_pet = true
#Whether VR users can equip armor by placing the armor on them
armor_immersion = true
#Whether VR users can feed animals using both hands
feed_animals = true
#Whether immersives on Shulker Boxes should be allowed
shulker_box_immersion = true
#Whether VR players can pet any living entity instead of just pets that they're owners of. Requires 'can_pet' to be enabled!
can_pet_any_living = false
#Whether VR users can use a more immersive shield. They only need to hold a shield in the direction to block, no need to right click!
immersive_shield = true
#Range in blocks that VR players can pick up items using ranged grab. Set to -1 to use Minecraft's pick range.
#Range: -1 ~ 12
ranged_grab_range = 8
#Whether immersives on beacons should be allowed
beacon_immersion = true
#Whether immersives on barrels should be allowed
barrel_immersion = true
#Whether VR users can throw items based on the speed of their hand
use_throwing = true
#Whether VR throwing users can throw up to 5% beyond the velocity of non-VR users depending on how hard they throw
allow_throwing_beyond_max = true
#Whether immersives on hoppers should be allowed.
hopper_immersion = true
#Whether immersives for smithing tables should be allowed.
smithing_table_immersion = true
#Whether immersives for chiseled bookshelves should be allowed.
chiseled_bookshelf_immersion = true
#Whether immersives for written books should be allowed.
written_book_immersion = true
#Whether immersives for cauldrons should be allowed.
cauldron_immersion = true
#Whether immersives for furnaces from Iron Furnaces should be allowed.
iron_furnaces_furnace_immersion = true
#Whether immersives for the crafting station from Tinkers' Construct should be allowed.
tinkers_construct_crafting_station_immersion = true
#Allow users to crouch + right-click to bypass immersives.
crouch_bypass_immersion = false
#Do controller rumble for ImmersiveMC actions.
do_rumble = true
#Return items to oneself when walking away from immersives that items tend to not be stored in.
return_items = true
#Disables all of ImmersiveMC when not in VR.
disable_outside_vr = false
#Color for the bag as a base-10 RGB number.
#Range: 0 ~ 16777215
bag_color = 11901820
#Allows for right-clicking chests to use their immersive. Works outside of VR!
right_click_chest = false
#Makes the furnace immersive more centered instead of similar to the vanilla GUI
center_furnace = false
#Makes the brewing stand more centered instead of similar to the vanilla GUI
center_brewing = false
#Which bag type to display
#Range: 0 ~ 3
bag_mode = 0
#The mode for the placement guide
#Range: 0 ~ 2
placement_guide_mode = 0
#Integer representation for the mode to use when placing items using ImmersiveMC
#Range: 0 ~ 3
placement_mode = 0
#Whether the item output of a crafting table should spin
spin_crafting_output = true
#Allow right-clicking immersives in VR, like how NonVR users do.
right_click_in_vr = false
#Enables compatability for 3D resource packs like Classic 3D (16x)
resource_pack_3d_compat = false
#The size of item guides that aren't selected by the player
#Range: 0.0 ~ 1.0
item_guide_size = 1.0
#The size of item guides that are selected by the player
#Range: 0.0 ~ 1.0
item_guide_selected_size = 1.0
#Color for the item guides that help with item placement (aqua by default).
#Range: 0 ~ 4294967295
item_guide_color = 855703551
#Color for the item guides that help with item placement when hovered over (green by default).
#Range: 0 ~ 4294967295
item_guide_selected_color = 855703296
#Color for the particles shown when grabbing items from range (aqua by default).
#Range: 0 ~ 4294967295
ranged_grab_color = 4278255615
#Disable vanilla GUIs when their respective immersive is enabled
disable_vanilla_interactions = false
#Reach behind bag mode.
#Range: 0 ~ 3
reach_behind_bag_mode = 0
#!!!!DON'T TOUCH!!!! Version number for this configuration file! Do not change! It is used by ImmersiveMC to track config updates so it can automatically update your configuration files when needed!
#Range: > 1
config_version = 1
